#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './keventhistory.ui'
**
** Created: Wed Oct 17 19:27:00 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "keventhistory.h"

#include <qvariant.h>
#include <qheader.h>
#include <qlistview.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "./keventhistory.ui.h"
/*
 *  Constructs a KEventHistory as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KEventHistory::KEventHistory( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KEventHistory" );
    KEventHistoryLayout = new QVBoxLayout( this, 11, 6, "KEventHistoryLayout"); 

    lvEventHistory = new QListView( this, "lvEventHistory" );
    lvEventHistory->addColumn( tr2i18n( "Timestamp" ) );
    lvEventHistory->addColumn( tr2i18n( "Message" ) );
    lvEventHistory->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, lvEventHistory->sizePolicy().hasHeightForWidth() ) );
    lvEventHistory->setResizePolicy( QScrollView::Manual );
    lvEventHistory->setSelectionMode( QListView::Extended );
    lvEventHistory->setResizeMode( QListView::LastColumn );
    KEventHistoryLayout->addWidget( lvEventHistory );

    layout30 = new QHBoxLayout( 0, 0, 6, "layout30"); 
    spacer3 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout30->addItem( spacer3 );

    pbClose = new QPushButton( this, "pbClose" );
    layout30->addWidget( pbClose );
    KEventHistoryLayout->addLayout( layout30 );
    languageChange();
    resize( QSize(533, 285).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pbClose, SIGNAL( clicked() ), this, SLOT( close() ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
KEventHistory::~KEventHistory()
{
    destroy();
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KEventHistory::languageChange()
{
    setCaption( tr2i18n( "Event history" ) );
    lvEventHistory->header()->setLabel( 0, tr2i18n( "Timestamp" ) );
    lvEventHistory->header()->setLabel( 1, tr2i18n( "Message" ) );
    pbClose->setText( tr2i18n( "&Close" ) );
}

#include "keventhistory.moc"
