/****************************************************************************
** Form interface generated from reading ui file './kprofileconfig.ui'
**
** Created: Wed Oct 17 19:26:08 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef KPROFILECONFIG_H
#define KPROFILECONFIG_H

#include <qvariant.h>
#include <qdialog.h>
#include <qlistview.h>
#include "kwlanmainwin.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QPushButton;
class QTabWidget;
class QWidget;
class QLabel;
class QLineEdit;
class QCheckBox;
class QButtonGroup;
class QRadioButton;
class QGroupBox;
class QComboBox;
class QListBox;
class QListBoxItem;
class WpaGui;

class KProfileConfig : public QDialog
{
    Q_OBJECT

public:
    KProfileConfig( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~KProfileConfig();

    QPushButton* pbAdd;
    QPushButton* pbCancel;
    QTabWidget* tabScripts;
    QWidget* tabSecurity;
    QLabel* txtSSID;
    QLineEdit* leSSID;
    QCheckBox* cbHiddenSsid;
    QButtonGroup* gbMode;
    QRadioButton* rbAdhoc;
    QRadioButton* rbInfrastructure;
    QGroupBox* gbWpa;
    QLabel* txtPSK;
    QLabel* txtEAP;
    QLabel* txtIdentity;
    QLabel* txtPassword;
    QLabel* txtCertificate;
    QLabel* textLabel1;
    QLabel* txtPrivateKey;
    QLabel* txtPeapVer;
    QLabel* txtPeapLabeli;
    QLineEdit* lePsk;
    QComboBox* cbEap;
    QLineEdit* leIdentity;
    QLineEdit* lePassword;
    QLineEdit* leCertificate;
    QPushButton* pbBrowseCert;
    QLineEdit* leServerCertificate;
    QPushButton* pbBrowseServerCert;
    QLineEdit* lePrivateKey;
    QPushButton* pbBrowseKey;
    QLineEdit* lePhase1;
    QLineEdit* lePhase2;
    QButtonGroup* grWEP;
    QRadioButton* rbWep0;
    QRadioButton* rbWep1;
    QRadioButton* rbWep2;
    QRadioButton* rbWep3;
    QLineEdit* leWep0;
    QLineEdit* leWep1;
    QLineEdit* leWep2;
    QLineEdit* leWep3;
    QButtonGroup* grpEncryption;
    QRadioButton* rbOpen;
    QRadioButton* rbShared;
    QGroupBox* gbSecurity;
    QLabel* txtAuthentication;
    QComboBox* cbAuthentication;
    QLabel* txtEncryption;
    QComboBox* cbEncryption;
    QWidget* tabIp;
    QCheckBox* cbDhcp;
    QLabel* txtIpAddress;
    QLabel* txtNetmask;
    QLabel* txtGateway;
    QLineEdit* leIpAddress;
    QLineEdit* leNetmask;
    QLineEdit* leGateway;
    QCheckBox* cbDontOverrideGw;
    QWidget* tabDns;
    QLabel* txtPrimaryDns;
    QLabel* txtSecondaryDns;
    QLabel* txtDomainName;
    QLineEdit* lePrimaryDns;
    QLineEdit* leSecondaryDns;
    QLineEdit* leDomainName;
    QLabel* textLabel1_2;
    QPushButton* pbDnsAdd;
    QLineEdit* leDnsSearch;
    QListBox* lbDnsSearchlist;
    QPushButton* pbDnsRemove;
    QCheckBox* cbDontOverrideDns;
    QWidget* TabPage;
    QLabel* txtAfterConnect_2;
    QLabel* txtBeforeDisconnect;
    QLineEdit* leAfterConnect;
    QLineEdit* leBeforeDisconnect;
    QCheckBox* cbAfterConnectRoot;
    QCheckBox* cbBeforeDisconnectRoot;

    virtual int setNetworkParam( int id, const char * field, const char * value, bool quote );

public slots:
    virtual void authChanged( int sel );
    virtual void addNetwork();
    virtual void encrChanged( const QString & sel );
    virtual void writeWepKey( int network_id, QLineEdit * edit, int id );
    virtual void paramsFromScanResults( QListViewItem * sel );
    virtual void setMainWin( KwlanMainWin * mainWin );
    virtual void wepEnabled( bool enabled );
    virtual void paramsFromConfig( int network_id );
    virtual void getEapCapa();
    virtual void browseForCertificate();
    virtual void browseForPrivateKey();
    virtual void browseForServerCertificate();
    virtual void dhcpState( int state );
    virtual void dnsAddDomain();
    virtual void dnsRemoveDomain();

protected:
    QGridLayout* KProfileConfigLayout;
    QHBoxLayout* layout46;
    QSpacerItem* spacer9;
    QGridLayout* tabSecurityLayout;
    QHBoxLayout* layout31;
    QSpacerItem* spacer2;
    QGridLayout* gbModeLayout;
    QHBoxLayout* layout33;
    QGridLayout* gbWpaLayout;
    QHBoxLayout* layout33_2;
    QVBoxLayout* layout32;
    QVBoxLayout* layout31_2;
    QHBoxLayout* layout2;
    QHBoxLayout* layout3;
    QHBoxLayout* layout4;
    QGridLayout* grWEPLayout;
    QHBoxLayout* layout13;
    QVBoxLayout* layout8;
    QVBoxLayout* layout7;
    QGridLayout* grpEncryptionLayout;
    QHBoxLayout* layout14;
    QGridLayout* gbSecurityLayout;
    QHBoxLayout* layout32_2;
    QSpacerItem* spacer3;
    QGridLayout* tabIpLayout;
    QVBoxLayout* layout39;
    QSpacerItem* spacer7;
    QHBoxLayout* layout37;
    QVBoxLayout* layout30;
    QHBoxLayout* layout29;
    QVBoxLayout* layout27;
    QVBoxLayout* layout28;
    QGridLayout* tabDnsLayout;
    QSpacerItem* spacer4;
    QVBoxLayout* layout32_3;
    QHBoxLayout* layout33_3;
    QVBoxLayout* layout31_3;
    QVBoxLayout* layout32_4;
    QGridLayout* layout43;
    QGridLayout* TabPageLayout;
    QVBoxLayout* layout35;
    QSpacerItem* spacer8;
    QHBoxLayout* layout34;
    QVBoxLayout* layout31_4;
    QVBoxLayout* layout32_5;
    QVBoxLayout* layout33_4;

protected slots:
    virtual void languageChange();

private:
    void init();

};

#endif // KPROFILECONFIG_H
