#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kwlansettings.ui'
**
** Created: Wed Oct 17 19:27:15 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kwlansettings.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KwlanSettings as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KwlanSettings::KwlanSettings( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KwlanSettings" );
    setModal( TRUE );
    KwlanSettingsLayout = new QGridLayout( this, 1, 1, 11, 6, "KwlanSettingsLayout"); 

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    cbWpa = new QCheckBox( this, "cbWpa" );
    layout5->addWidget( cbWpa );

    cbWpaNoQuestion = new QCheckBox( this, "cbWpaNoQuestion" );
    cbWpaNoQuestion->setEnabled( FALSE );
    layout5->addWidget( cbWpaNoQuestion );

    cbUseCustomConfigFile = new QCheckBox( this, "cbUseCustomConfigFile" );
    layout5->addWidget( cbUseCustomConfigFile );

    layout4_2 = new QHBoxLayout( 0, 0, 6, "layout4_2"); 

    txtConfigFile = new QLabel( this, "txtConfigFile" );
    layout4_2->addWidget( txtConfigFile );

    leConfigFile = new QLineEdit( this, "leConfigFile" );
    leConfigFile->setEnabled( FALSE );
    layout4_2->addWidget( leConfigFile );

    pbBrowseConfigFile = new QPushButton( this, "pbBrowseConfigFile" );
    pbBrowseConfigFile->setEnabled( FALSE );
    layout4_2->addWidget( pbBrowseConfigFile );
    layout5->addLayout( layout4_2 );
    layout4->addLayout( layout5 );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    rbScan0 = new QRadioButton( buttonGroup1, "rbScan0" );

    buttonGroup1Layout->addWidget( rbScan0, 0, 0 );

    rbScan1 = new QRadioButton( buttonGroup1, "rbScan1" );

    buttonGroup1Layout->addWidget( rbScan1, 1, 0 );

    rbScan2 = new QRadioButton( buttonGroup1, "rbScan2" );

    buttonGroup1Layout->addWidget( rbScan2, 2, 0 );
    layout4->addWidget( buttonGroup1 );
    spacer2 = new QSpacerItem( 31, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout4->addItem( spacer2 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 
    spacer1 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer1 );

    pbOk = new QPushButton( this, "pbOk" );
    layout7->addWidget( pbOk );

    pbCancel = new QPushButton( this, "pbCancel" );
    layout7->addWidget( pbCancel );
    layout4->addLayout( layout7 );

    KwlanSettingsLayout->addLayout( layout4, 0, 0 );
    languageChange();
    resize( QSize(309, 315).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pbOk, SIGNAL( clicked() ), this, SLOT( Ok() ) );
    connect( pbCancel, SIGNAL( clicked() ), this, SLOT( Cancel() ) );
    connect( cbWpa, SIGNAL( stateChanged(int) ), this, SLOT( enableWpaNoQuestion(int) ) );
    connect( cbUseCustomConfigFile, SIGNAL( stateChanged(int) ), this, SLOT( customWpaConfigChanged(int) ) );
    connect( pbBrowseConfigFile, SIGNAL( clicked() ), this, SLOT( browseConfigFile() ) );

    // tab order
    setTabOrder( cbWpa, cbWpaNoQuestion );
    setTabOrder( cbWpaNoQuestion, cbUseCustomConfigFile );
    setTabOrder( cbUseCustomConfigFile, leConfigFile );
    setTabOrder( leConfigFile, pbBrowseConfigFile );
    setTabOrder( pbBrowseConfigFile, pbOk );
    setTabOrder( pbOk, pbCancel );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KwlanSettings::~KwlanSettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KwlanSettings::languageChange()
{
    setCaption( tr2i18n( "Kwlan Settings" ) );
    cbWpa->setText( tr2i18n( "Launch WPA Supplicant &at startup" ) );
    cbWpa->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    cbWpaNoQuestion->setText( tr2i18n( "&No confirmation dialog\n"
"(Use last driver chosen for interface)" ) );
    cbWpaNoQuestion->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    cbUseCustomConfigFile->setText( tr2i18n( "&Use custom wpa_supplicant config file" ) );
    txtConfigFile->setText( tr2i18n( "Configuration File" ) );
    pbBrowseConfigFile->setText( tr2i18n( "..." ) );
    pbBrowseConfigFile->setAccel( QKeySequence( QString::null ) );
    buttonGroup1->setTitle( tr2i18n( "Access Point scanning (ap_scan)" ) );
    rbScan0->setText( tr2i18n( "None (&0)" ) );
    rbScan0->setAccel( QKeySequence( tr2i18n( "Alt+0" ) ) );
    rbScan1->setText( tr2i18n( "Driver handles scanning (&1)" ) );
    rbScan1->setAccel( QKeySequence( tr2i18n( "Alt+1" ) ) );
    rbScan2->setText( tr2i18n( "wpa_supplicant handles scanning (&2)" ) );
    rbScan2->setAccel( QKeySequence( tr2i18n( "Alt+2" ) ) );
    pbOk->setText( tr2i18n( "&Ok" ) );
    pbCancel->setText( tr2i18n( "&Cancel" ) );
}

void KwlanSettings::Ok()
{
    qWarning( "KwlanSettings::Ok(): Not implemented yet" );
}

void KwlanSettings::Cancel()
{
    qWarning( "KwlanSettings::Cancel(): Not implemented yet" );
}

void KwlanSettings::enableWpaNoQuestion(int)
{
    qWarning( "KwlanSettings::enableWpaNoQuestion(int): Not implemented yet" );
}

void KwlanSettings::customWpaConfigChanged(int)
{
    qWarning( "KwlanSettings::customWpaConfigChanged(int): Not implemented yet" );
}

void KwlanSettings::browseConfigFile()
{
    qWarning( "KwlanSettings::browseConfigFile(): Not implemented yet" );
}

#include "kwlansettings.moc"
