#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kprofileconfig.ui'
**
** Created: Wed Oct 17 19:27:01 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kprofileconfig.h"

#include <qvariant.h>
#include <qmessagebox.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qgroupbox.h>
#include <qcombobox.h>
#include <qlistbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "kwlanmainwin.h"
#include "./kprofileconfig.ui.h"
/*
 *  Constructs a KProfileConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KProfileConfig::KProfileConfig( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KProfileConfig" );
    setModal( TRUE );
    KProfileConfigLayout = new QGridLayout( this, 1, 1, 11, 6, "KProfileConfigLayout"); 

    layout46 = new QHBoxLayout( 0, 0, 6, "layout46"); 
    spacer9 = new QSpacerItem( 351, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout46->addItem( spacer9 );

    pbAdd = new QPushButton( this, "pbAdd" );
    layout46->addWidget( pbAdd );

    pbCancel = new QPushButton( this, "pbCancel" );
    layout46->addWidget( pbCancel );

    KProfileConfigLayout->addLayout( layout46, 1, 0 );

    tabScripts = new QTabWidget( this, "tabScripts" );

    tabSecurity = new QWidget( tabScripts, "tabSecurity" );
    tabSecurityLayout = new QGridLayout( tabSecurity, 1, 1, 11, 6, "tabSecurityLayout"); 

    layout31 = new QHBoxLayout( 0, 0, 6, "layout31"); 

    txtSSID = new QLabel( tabSecurity, "txtSSID" );
    layout31->addWidget( txtSSID );

    leSSID = new QLineEdit( tabSecurity, "leSSID" );
    layout31->addWidget( leSSID );

    cbHiddenSsid = new QCheckBox( tabSecurity, "cbHiddenSsid" );
    layout31->addWidget( cbHiddenSsid );
    spacer2 = new QSpacerItem( 181, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout31->addItem( spacer2 );

    tabSecurityLayout->addLayout( layout31, 0, 0 );

    gbMode = new QButtonGroup( tabSecurity, "gbMode" );
    gbMode->setColumnLayout(0, Qt::Vertical );
    gbMode->layout()->setSpacing( 0 );
    gbMode->layout()->setMargin( 11 );
    gbModeLayout = new QGridLayout( gbMode->layout() );
    gbModeLayout->setAlignment( Qt::AlignTop );

    rbAdhoc = new QRadioButton( gbMode, "rbAdhoc" );

    gbModeLayout->addWidget( rbAdhoc, 0, 1 );

    rbInfrastructure = new QRadioButton( gbMode, "rbInfrastructure" );
    rbInfrastructure->setChecked( TRUE );

    gbModeLayout->addWidget( rbInfrastructure, 0, 0 );

    tabSecurityLayout->addWidget( gbMode, 1, 0 );

    layout33 = new QHBoxLayout( 0, 0, 6, "layout33"); 

    gbWpa = new QGroupBox( tabSecurity, "gbWpa" );
    gbWpa->setColumnLayout(0, Qt::Vertical );
    gbWpa->layout()->setSpacing( 0 );
    gbWpa->layout()->setMargin( 11 );
    gbWpaLayout = new QGridLayout( gbWpa->layout() );
    gbWpaLayout->setAlignment( Qt::AlignTop );

    layout33_2 = new QHBoxLayout( 0, 0, 6, "layout33_2"); 

    layout32 = new QVBoxLayout( 0, 0, 6, "layout32"); 

    txtPSK = new QLabel( gbWpa, "txtPSK" );
    layout32->addWidget( txtPSK );

    txtEAP = new QLabel( gbWpa, "txtEAP" );
    layout32->addWidget( txtEAP );

    txtIdentity = new QLabel( gbWpa, "txtIdentity" );
    layout32->addWidget( txtIdentity );

    txtPassword = new QLabel( gbWpa, "txtPassword" );
    layout32->addWidget( txtPassword );

    txtCertificate = new QLabel( gbWpa, "txtCertificate" );
    layout32->addWidget( txtCertificate );

    textLabel1 = new QLabel( gbWpa, "textLabel1" );
    layout32->addWidget( textLabel1 );

    txtPrivateKey = new QLabel( gbWpa, "txtPrivateKey" );
    layout32->addWidget( txtPrivateKey );

    txtPeapVer = new QLabel( gbWpa, "txtPeapVer" );
    layout32->addWidget( txtPeapVer );

    txtPeapLabeli = new QLabel( gbWpa, "txtPeapLabeli" );
    layout32->addWidget( txtPeapLabeli );
    layout33_2->addLayout( layout32 );

    layout31_2 = new QVBoxLayout( 0, 0, 6, "layout31_2"); 

    lePsk = new QLineEdit( gbWpa, "lePsk" );
    lePsk->setEnabled( FALSE );
    lePsk->setEchoMode( QLineEdit::Password );
    layout31_2->addWidget( lePsk );

    cbEap = new QComboBox( FALSE, gbWpa, "cbEap" );
    cbEap->setEnabled( FALSE );
    layout31_2->addWidget( cbEap );

    leIdentity = new QLineEdit( gbWpa, "leIdentity" );
    leIdentity->setEnabled( FALSE );
    layout31_2->addWidget( leIdentity );

    lePassword = new QLineEdit( gbWpa, "lePassword" );
    lePassword->setEnabled( FALSE );
    lePassword->setEchoMode( QLineEdit::Password );
    layout31_2->addWidget( lePassword );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    leCertificate = new QLineEdit( gbWpa, "leCertificate" );
    leCertificate->setEnabled( FALSE );
    layout2->addWidget( leCertificate );

    pbBrowseCert = new QPushButton( gbWpa, "pbBrowseCert" );
    layout2->addWidget( pbBrowseCert );
    layout31_2->addLayout( layout2 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    leServerCertificate = new QLineEdit( gbWpa, "leServerCertificate" );
    leServerCertificate->setEnabled( FALSE );
    layout3->addWidget( leServerCertificate );

    pbBrowseServerCert = new QPushButton( gbWpa, "pbBrowseServerCert" );
    layout3->addWidget( pbBrowseServerCert );
    layout31_2->addLayout( layout3 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    lePrivateKey = new QLineEdit( gbWpa, "lePrivateKey" );
    lePrivateKey->setEnabled( FALSE );
    layout4->addWidget( lePrivateKey );

    pbBrowseKey = new QPushButton( gbWpa, "pbBrowseKey" );
    layout4->addWidget( pbBrowseKey );
    layout31_2->addLayout( layout4 );

    lePhase1 = new QLineEdit( gbWpa, "lePhase1" );
    lePhase1->setEnabled( FALSE );
    layout31_2->addWidget( lePhase1 );

    lePhase2 = new QLineEdit( gbWpa, "lePhase2" );
    lePhase2->setEnabled( FALSE );
    layout31_2->addWidget( lePhase2 );
    layout33_2->addLayout( layout31_2 );

    gbWpaLayout->addLayout( layout33_2, 0, 0 );
    layout33->addWidget( gbWpa );

    grWEP = new QButtonGroup( tabSecurity, "grWEP" );
    grWEP->setEnabled( TRUE );
    grWEP->setColumnLayout(0, Qt::Vertical );
    grWEP->layout()->setSpacing( 0 );
    grWEP->layout()->setMargin( 11 );
    grWEPLayout = new QGridLayout( grWEP->layout() );
    grWEPLayout->setAlignment( Qt::AlignTop );

    layout13 = new QHBoxLayout( 0, 0, 6, "layout13"); 

    layout8 = new QVBoxLayout( 0, 0, 6, "layout8"); 

    rbWep0 = new QRadioButton( grWEP, "rbWep0" );
    rbWep0->setEnabled( FALSE );
    rbWep0->setChecked( TRUE );
    layout8->addWidget( rbWep0 );

    rbWep1 = new QRadioButton( grWEP, "rbWep1" );
    rbWep1->setEnabled( FALSE );
    layout8->addWidget( rbWep1 );

    rbWep2 = new QRadioButton( grWEP, "rbWep2" );
    rbWep2->setEnabled( FALSE );
    layout8->addWidget( rbWep2 );

    rbWep3 = new QRadioButton( grWEP, "rbWep3" );
    rbWep3->setEnabled( FALSE );
    layout8->addWidget( rbWep3 );
    layout13->addLayout( layout8 );

    layout7 = new QVBoxLayout( 0, 0, 6, "layout7"); 

    leWep0 = new QLineEdit( grWEP, "leWep0" );
    leWep0->setEnabled( FALSE );
    layout7->addWidget( leWep0 );

    leWep1 = new QLineEdit( grWEP, "leWep1" );
    leWep1->setEnabled( FALSE );
    layout7->addWidget( leWep1 );

    leWep2 = new QLineEdit( grWEP, "leWep2" );
    leWep2->setEnabled( FALSE );
    layout7->addWidget( leWep2 );

    leWep3 = new QLineEdit( grWEP, "leWep3" );
    leWep3->setEnabled( FALSE );
    layout7->addWidget( leWep3 );
    layout13->addLayout( layout7 );

    grWEPLayout->addLayout( layout13, 0, 0 );

    grpEncryption = new QButtonGroup( grWEP, "grpEncryption" );
    grpEncryption->setColumnLayout(0, Qt::Vertical );
    grpEncryption->layout()->setSpacing( 6 );
    grpEncryption->layout()->setMargin( 11 );
    grpEncryptionLayout = new QGridLayout( grpEncryption->layout() );
    grpEncryptionLayout->setAlignment( Qt::AlignTop );

    layout14 = new QHBoxLayout( 0, 0, 6, "layout14"); 

    rbOpen = new QRadioButton( grpEncryption, "rbOpen" );
    rbOpen->setEnabled( FALSE );
    rbOpen->setChecked( TRUE );
    layout14->addWidget( rbOpen );

    rbShared = new QRadioButton( grpEncryption, "rbShared" );
    rbShared->setEnabled( FALSE );
    layout14->addWidget( rbShared );

    grpEncryptionLayout->addLayout( layout14, 0, 0 );

    grWEPLayout->addWidget( grpEncryption, 1, 0 );
    layout33->addWidget( grWEP );

    tabSecurityLayout->addLayout( layout33, 3, 0 );

    gbSecurity = new QGroupBox( tabSecurity, "gbSecurity" );
    gbSecurity->setColumnLayout(0, Qt::Vertical );
    gbSecurity->layout()->setSpacing( 6 );
    gbSecurity->layout()->setMargin( 11 );
    gbSecurityLayout = new QGridLayout( gbSecurity->layout() );
    gbSecurityLayout->setAlignment( Qt::AlignTop );

    layout32_2 = new QHBoxLayout( 0, 0, 6, "layout32_2"); 

    txtAuthentication = new QLabel( gbSecurity, "txtAuthentication" );
    layout32_2->addWidget( txtAuthentication );

    cbAuthentication = new QComboBox( FALSE, gbSecurity, "cbAuthentication" );
    layout32_2->addWidget( cbAuthentication );

    txtEncryption = new QLabel( gbSecurity, "txtEncryption" );
    layout32_2->addWidget( txtEncryption );

    cbEncryption = new QComboBox( FALSE, gbSecurity, "cbEncryption" );
    layout32_2->addWidget( cbEncryption );
    spacer3 = new QSpacerItem( 16, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout32_2->addItem( spacer3 );

    gbSecurityLayout->addLayout( layout32_2, 0, 0 );

    tabSecurityLayout->addWidget( gbSecurity, 2, 0 );
    tabScripts->insertTab( tabSecurity, QString::fromLatin1("") );

    tabIp = new QWidget( tabScripts, "tabIp" );
    tabIpLayout = new QGridLayout( tabIp, 1, 1, 11, 6, "tabIpLayout"); 

    layout39 = new QVBoxLayout( 0, 0, 6, "layout39"); 

    layout37 = new QHBoxLayout( 0, 0, 6, "layout37"); 

    layout30 = new QVBoxLayout( 0, 0, 6, "layout30"); 

    cbDhcp = new QCheckBox( tabIp, "cbDhcp" );
    cbDhcp->setChecked( TRUE );
    layout30->addWidget( cbDhcp );

    layout29 = new QHBoxLayout( 0, 0, 6, "layout29"); 

    layout27 = new QVBoxLayout( 0, 0, 6, "layout27"); 

    txtIpAddress = new QLabel( tabIp, "txtIpAddress" );
    layout27->addWidget( txtIpAddress );

    txtNetmask = new QLabel( tabIp, "txtNetmask" );
    layout27->addWidget( txtNetmask );

    txtGateway = new QLabel( tabIp, "txtGateway" );
    layout27->addWidget( txtGateway );
    layout29->addLayout( layout27 );

    layout28 = new QVBoxLayout( 0, 0, 6, "layout28"); 

    leIpAddress = new QLineEdit( tabIp, "leIpAddress" );
    leIpAddress->setEnabled( FALSE );
    layout28->addWidget( leIpAddress );

    leNetmask = new QLineEdit( tabIp, "leNetmask" );
    leNetmask->setEnabled( FALSE );
    layout28->addWidget( leNetmask );

    leGateway = new QLineEdit( tabIp, "leGateway" );
    leGateway->setEnabled( FALSE );
    layout28->addWidget( leGateway );
    layout29->addLayout( layout28 );
    layout30->addLayout( layout29 );

    cbDontOverrideGw = new QCheckBox( tabIp, "cbDontOverrideGw" );
    cbDontOverrideGw->setEnabled( FALSE );
    layout30->addWidget( cbDontOverrideGw );
    layout37->addLayout( layout30 );
    layout39->addLayout( layout37 );
    spacer7 = new QSpacerItem( 20, 121, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout39->addItem( spacer7 );

    tabIpLayout->addLayout( layout39, 0, 0 );
    tabScripts->insertTab( tabIp, QString::fromLatin1("") );

    tabDns = new QWidget( tabScripts, "tabDns" );
    tabDnsLayout = new QGridLayout( tabDns, 1, 1, 11, 6, "tabDnsLayout"); 
    spacer4 = new QSpacerItem( 51, 70, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabDnsLayout->addItem( spacer4, 1, 0 );

    layout32_3 = new QVBoxLayout( 0, 0, 6, "layout32_3"); 

    layout33_3 = new QHBoxLayout( 0, 0, 6, "layout33_3"); 

    layout31_3 = new QVBoxLayout( 0, 0, 6, "layout31_3"); 

    txtPrimaryDns = new QLabel( tabDns, "txtPrimaryDns" );
    layout31_3->addWidget( txtPrimaryDns );

    txtSecondaryDns = new QLabel( tabDns, "txtSecondaryDns" );
    layout31_3->addWidget( txtSecondaryDns );

    txtDomainName = new QLabel( tabDns, "txtDomainName" );
    layout31_3->addWidget( txtDomainName );
    layout33_3->addLayout( layout31_3 );

    layout32_4 = new QVBoxLayout( 0, 0, 6, "layout32_4"); 

    lePrimaryDns = new QLineEdit( tabDns, "lePrimaryDns" );
    lePrimaryDns->setEnabled( TRUE );
    layout32_4->addWidget( lePrimaryDns );

    leSecondaryDns = new QLineEdit( tabDns, "leSecondaryDns" );
    leSecondaryDns->setEnabled( TRUE );
    layout32_4->addWidget( leSecondaryDns );

    leDomainName = new QLineEdit( tabDns, "leDomainName" );
    leDomainName->setEnabled( TRUE );
    layout32_4->addWidget( leDomainName );
    layout33_3->addLayout( layout32_4 );
    layout32_3->addLayout( layout33_3 );

    textLabel1_2 = new QLabel( tabDns, "textLabel1_2" );
    layout32_3->addWidget( textLabel1_2 );

    layout43 = new QGridLayout( 0, 1, 1, 0, 6, "layout43"); 

    pbDnsAdd = new QPushButton( tabDns, "pbDnsAdd" );

    layout43->addWidget( pbDnsAdd, 0, 1 );

    leDnsSearch = new QLineEdit( tabDns, "leDnsSearch" );

    layout43->addWidget( leDnsSearch, 0, 0 );

    lbDnsSearchlist = new QListBox( tabDns, "lbDnsSearchlist" );

    layout43->addWidget( lbDnsSearchlist, 1, 0 );

    pbDnsRemove = new QPushButton( tabDns, "pbDnsRemove" );

    layout43->addWidget( pbDnsRemove, 1, 1 );
    layout32_3->addLayout( layout43 );

    cbDontOverrideDns = new QCheckBox( tabDns, "cbDontOverrideDns" );
    cbDontOverrideDns->setEnabled( TRUE );
    layout32_3->addWidget( cbDontOverrideDns );

    tabDnsLayout->addLayout( layout32_3, 0, 0 );
    tabScripts->insertTab( tabDns, QString::fromLatin1("") );

    TabPage = new QWidget( tabScripts, "TabPage" );
    TabPageLayout = new QGridLayout( TabPage, 1, 1, 11, 6, "TabPageLayout"); 

    layout35 = new QVBoxLayout( 0, 0, 6, "layout35"); 

    layout34 = new QHBoxLayout( 0, 0, 6, "layout34"); 

    layout31_4 = new QVBoxLayout( 0, 0, 6, "layout31_4"); 

    txtAfterConnect_2 = new QLabel( TabPage, "txtAfterConnect_2" );
    layout31_4->addWidget( txtAfterConnect_2 );

    txtBeforeDisconnect = new QLabel( TabPage, "txtBeforeDisconnect" );
    layout31_4->addWidget( txtBeforeDisconnect );
    layout34->addLayout( layout31_4 );

    layout32_5 = new QVBoxLayout( 0, 0, 6, "layout32_5"); 

    leAfterConnect = new QLineEdit( TabPage, "leAfterConnect" );
    layout32_5->addWidget( leAfterConnect );

    leBeforeDisconnect = new QLineEdit( TabPage, "leBeforeDisconnect" );
    layout32_5->addWidget( leBeforeDisconnect );
    layout34->addLayout( layout32_5 );

    layout33_4 = new QVBoxLayout( 0, 0, 6, "layout33_4"); 

    cbAfterConnectRoot = new QCheckBox( TabPage, "cbAfterConnectRoot" );
    layout33_4->addWidget( cbAfterConnectRoot );

    cbBeforeDisconnectRoot = new QCheckBox( TabPage, "cbBeforeDisconnectRoot" );
    layout33_4->addWidget( cbBeforeDisconnectRoot );
    layout34->addLayout( layout33_4 );
    layout35->addLayout( layout34 );
    spacer8 = new QSpacerItem( 20, 231, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout35->addItem( spacer8 );

    TabPageLayout->addLayout( layout35, 0, 0 );
    tabScripts->insertTab( TabPage, QString::fromLatin1("") );

    KProfileConfigLayout->addWidget( tabScripts, 0, 0 );
    languageChange();
    resize( QSize(543, 586).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cbAuthentication, SIGNAL( activated(int) ), this, SLOT( authChanged(int) ) );
    connect( pbCancel, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( pbAdd, SIGNAL( clicked() ), this, SLOT( addNetwork() ) );
    connect( cbEncryption, SIGNAL( activated(const QString&) ), this, SLOT( encrChanged(const QString&) ) );
    connect( pbBrowseCert, SIGNAL( clicked() ), this, SLOT( browseForCertificate() ) );
    connect( pbBrowseKey, SIGNAL( clicked() ), this, SLOT( browseForPrivateKey() ) );
    connect( pbBrowseServerCert, SIGNAL( clicked() ), this, SLOT( browseForServerCertificate() ) );
    connect( cbDhcp, SIGNAL( stateChanged(int) ), this, SLOT( dhcpState(int) ) );
    connect( pbDnsAdd, SIGNAL( clicked() ), this, SLOT( dnsAddDomain() ) );
    connect( pbDnsRemove, SIGNAL( clicked() ), this, SLOT( dnsRemoveDomain() ) );

    // tab order
    setTabOrder( leSSID, cbHiddenSsid );
    setTabOrder( cbHiddenSsid, rbInfrastructure );
    setTabOrder( rbInfrastructure, cbAuthentication );
    setTabOrder( cbAuthentication, cbEncryption );
    setTabOrder( cbEncryption, lePsk );
    setTabOrder( lePsk, cbEap );
    setTabOrder( cbEap, leIdentity );
    setTabOrder( leIdentity, lePassword );
    setTabOrder( lePassword, leCertificate );
    setTabOrder( leCertificate, pbBrowseCert );
    setTabOrder( pbBrowseCert, leServerCertificate );
    setTabOrder( leServerCertificate, pbBrowseServerCert );
    setTabOrder( pbBrowseServerCert, lePrivateKey );
    setTabOrder( lePrivateKey, pbBrowseKey );
    setTabOrder( pbBrowseKey, lePhase1 );
    setTabOrder( lePhase1, lePhase2 );
    setTabOrder( lePhase2, rbWep0 );
    setTabOrder( rbWep0, leWep0 );
    setTabOrder( leWep0, rbWep1 );
    setTabOrder( rbWep1, leWep1 );
    setTabOrder( leWep1, rbWep2 );
    setTabOrder( rbWep2, leWep2 );
    setTabOrder( leWep2, rbWep3 );
    setTabOrder( rbWep3, leWep3 );
    setTabOrder( leWep3, rbOpen );
    setTabOrder( rbOpen, rbShared );
    setTabOrder( rbShared, pbAdd );
    setTabOrder( pbAdd, pbCancel );
    setTabOrder( pbCancel, cbDhcp );
    setTabOrder( cbDhcp, leIpAddress );
    setTabOrder( leIpAddress, leNetmask );
    setTabOrder( leNetmask, leGateway );
    setTabOrder( leGateway, cbDontOverrideGw );
    setTabOrder( cbDontOverrideGw, lePrimaryDns );
    setTabOrder( lePrimaryDns, leSecondaryDns );
    setTabOrder( leSecondaryDns, leDomainName );
    setTabOrder( leDomainName, leDnsSearch );
    setTabOrder( leDnsSearch, pbDnsAdd );
    setTabOrder( pbDnsAdd, lbDnsSearchlist );
    setTabOrder( lbDnsSearchlist, pbDnsRemove );
    setTabOrder( pbDnsRemove, cbDontOverrideDns );
    setTabOrder( cbDontOverrideDns, leAfterConnect );
    setTabOrder( leAfterConnect, leBeforeDisconnect );
    setTabOrder( leBeforeDisconnect, cbAfterConnectRoot );
    setTabOrder( cbAfterConnectRoot, cbBeforeDisconnectRoot );
    setTabOrder( cbBeforeDisconnectRoot, tabScripts );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
KProfileConfig::~KProfileConfig()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KProfileConfig::languageChange()
{
    setCaption( tr2i18n( "NetworkConfig" ) );
    pbAdd->setText( tr2i18n( "&Add" ) );
    pbCancel->setText( tr2i18n( "&Cancel" ) );
    txtSSID->setText( tr2i18n( "Profile name / ssid" ) );
    leSSID->setText( QString::null );
    QToolTip::add( leSSID, tr2i18n( "Network name (Service Set IDentifier)" ) );
    cbHiddenSsid->setText( tr2i18n( "Hidden" ) );
    gbMode->setTitle( tr2i18n( "Mode" ) );
    rbAdhoc->setText( tr2i18n( "Adhoc" ) );
    rbInfrastructure->setText( tr2i18n( "Infrastructure" ) );
    gbWpa->setTitle( tr2i18n( "WPA" ) );
    txtPSK->setText( tr2i18n( "PSK" ) );
    txtEAP->setText( tr2i18n( "EAP method" ) );
    txtIdentity->setText( tr2i18n( "Identity" ) );
    txtPassword->setText( tr2i18n( "Password" ) );
    txtCertificate->setText( tr2i18n( "Client Cert." ) );
    textLabel1->setText( tr2i18n( "Server Cert." ) );
    txtPrivateKey->setText( tr2i18n( "Private key" ) );
    txtPeapVer->setText( tr2i18n( "Phase 1 options" ) );
    txtPeapLabeli->setText( tr2i18n( "Phase 2 options" ) );
    QToolTip::add( lePsk, tr2i18n( "WPA/WPA2 pre-shared key or passphrase" ) );
    QWhatsThis::add( lePsk, QString::null );
    QToolTip::add( leIdentity, tr2i18n( "Username/Identity for EAP methods" ) );
    QToolTip::add( lePassword, tr2i18n( "Password for EAP methods" ) );
    pbBrowseCert->setText( tr2i18n( "..." ) );
    pbBrowseCert->setAccel( QKeySequence( QString::null ) );
    pbBrowseServerCert->setText( tr2i18n( "..." ) );
    pbBrowseKey->setText( tr2i18n( "..." ) );
    pbBrowseKey->setAccel( QKeySequence( QString::null ) );
    grWEP->setTitle( tr2i18n( "WEP " ) );
    rbWep0->setText( tr2i18n( "&key 0" ) );
    rbWep0->setAccel( QKeySequence( tr2i18n( "Alt+K" ) ) );
    rbWep1->setText( tr2i18n( "key &1" ) );
    rbWep1->setAccel( QKeySequence( tr2i18n( "Alt+1" ) ) );
    rbWep2->setText( tr2i18n( "key &2" ) );
    rbWep2->setAccel( QKeySequence( tr2i18n( "Alt+2" ) ) );
    rbWep3->setText( tr2i18n( "key &3" ) );
    rbWep3->setAccel( QKeySequence( tr2i18n( "Alt+3" ) ) );
    grpEncryption->setTitle( tr2i18n( "Authentication mode" ) );
    rbOpen->setText( tr2i18n( "&Open" ) );
    rbShared->setText( tr2i18n( "Share&d" ) );
    gbSecurity->setTitle( tr2i18n( "Security" ) );
    txtAuthentication->setText( tr2i18n( "Authentication" ) );
    cbAuthentication->clear();
    cbAuthentication->insertItem( tr2i18n( "Plaintext or static WEP" ) );
    cbAuthentication->insertItem( tr2i18n( "IEEE 802.1X" ) );
    cbAuthentication->insertItem( tr2i18n( "WPA-Personal (PSK)" ) );
    cbAuthentication->insertItem( tr2i18n( "WPA-Enterprise (EAP)" ) );
    cbAuthentication->insertItem( tr2i18n( "WPA2-Personal (PSK)" ) );
    cbAuthentication->insertItem( tr2i18n( "WPA2-Enterprise (EAP)" ) );
    txtEncryption->setText( tr2i18n( "Encryption" ) );
    tabScripts->changeTab( tabSecurity, tr2i18n( "Sec&urity Settings" ) );
    cbDhcp->setText( tr2i18n( "Use &Dhcp" ) );
    txtIpAddress->setText( tr2i18n( "IP Address" ) );
    txtNetmask->setText( tr2i18n( "Netmask" ) );
    txtGateway->setText( tr2i18n( "Default Gateway" ) );
    cbDontOverrideGw->setText( tr2i18n( "Do not &override existing default gateway" ) );
    tabScripts->changeTab( tabIp, tr2i18n( "IP Setti&ngs" ) );
    txtPrimaryDns->setText( tr2i18n( "Primary DNS server" ) );
    txtSecondaryDns->setText( tr2i18n( "Secondary DNS server" ) );
    txtDomainName->setText( tr2i18n( "Domain Name" ) );
    textLabel1_2->setText( tr2i18n( "Domain Search List" ) );
    pbDnsAdd->setText( tr2i18n( "Add" ) );
    pbDnsAdd->setAccel( QKeySequence( QString::null ) );
    pbDnsRemove->setText( tr2i18n( "Re&move" ) );
    cbDontOverrideDns->setText( tr2i18n( "Do not &override existing DNS settings" ) );
    tabScripts->changeTab( tabDns, tr2i18n( "&DNS Settings" ) );
    txtAfterConnect_2->setText( tr2i18n( "Script to start after connect" ) );
    txtBeforeDisconnect->setText( tr2i18n( "Script to start before disconnect" ) );
    cbAfterConnectRoot->setText( tr2i18n( "Use r&oot rights" ) );
    cbBeforeDisconnectRoot->setText( tr2i18n( "Use root ri&ghts" ) );
    tabScripts->changeTab( TabPage, tr2i18n( "Scripts" ) );
}

#include "kprofileconfig.moc"
