#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kscan.ui'
**
** Created: Wed Oct 17 19:27:07 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kscan.h"

#include <qvariant.h>
#include <qheader.h>
#include <qlistview.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "wpa_ctrl.h"
#include "kprofileconfigdlg.h"
/*
 *  Constructs a KScan as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KScan::KScan( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KScan" );
    setModal( TRUE );
    KScanLayout = new QGridLayout( this, 1, 1, 11, 6, "KScanLayout"); 

    scanResultsView = new QListView( this, "scanResultsView" );
    scanResultsView->addColumn( tr2i18n( "SSID" ) );
    scanResultsView->addColumn( tr2i18n( "BSSID" ) );
    scanResultsView->addColumn( tr2i18n( "channel" ) );
    scanResultsView->addColumn( tr2i18n( "signal" ) );
    scanResultsView->addColumn( tr2i18n( "flags" ) );
    scanResultsView->setFrameShape( QListView::StyledPanel );
    scanResultsView->setFrameShadow( QListView::Sunken );

    KScanLayout->addWidget( scanResultsView, 0, 0 );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 
    spacer1 = new QSpacerItem( 200, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout1->addItem( spacer1 );

    pbAdd = new QPushButton( this, "pbAdd" );
    layout1->addWidget( pbAdd );

    pbScan = new QPushButton( this, "pbScan" );
    layout1->addWidget( pbScan );

    pbClose = new QPushButton( this, "pbClose" );
    layout1->addWidget( pbClose );

    KScanLayout->addLayout( layout1, 1, 0 );
    languageChange();
    resize( QSize(452, 225).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pbClose, SIGNAL( clicked() ), this, SLOT( closeScanWindow() ) );
    connect( pbScan, SIGNAL( clicked() ), this, SLOT( scanRequest() ) );
    connect( scanResultsView, SIGNAL( doubleClicked(QListViewItem*) ), this, SLOT( bssSelected(QListViewItem*) ) );
    connect( pbAdd, SIGNAL( clicked() ), this, SLOT( addSelected() ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
KScan::~KScan()
{
    destroy();
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KScan::languageChange()
{
    setCaption( tr2i18n( "Scan results" ) );
    scanResultsView->header()->setLabel( 0, tr2i18n( "SSID" ) );
    scanResultsView->header()->setLabel( 1, tr2i18n( "BSSID" ) );
    scanResultsView->header()->setLabel( 2, tr2i18n( "channel" ) );
    scanResultsView->header()->setLabel( 3, tr2i18n( "signal" ) );
    scanResultsView->header()->setLabel( 4, tr2i18n( "flags" ) );
    pbAdd->setText( tr2i18n( "&Add" ) );
    pbScan->setText( tr2i18n( "Sca&n" ) );
    pbClose->setText( tr2i18n( "&Close" ) );
}

void KScan::updateResults()
{
    qWarning( "KScan::updateResults(): Not implemented yet" );
}

void KScan::scanRequest()
{
    qWarning( "KScan::scanRequest(): Not implemented yet" );
}

void KScan::getResults()
{
    qWarning( "KScan::getResults(): Not implemented yet" );
}

void KScan::bssSelected(QListViewItem*)
{
    qWarning( "KScan::bssSelected(QListViewItem*): Not implemented yet" );
}

void KScan::addSelected()
{
    qWarning( "KScan::addSelected(): Not implemented yet" );
}

void KScan::closeScanWindow()
{
    qWarning( "KScan::closeScanWindow(): Not implemented yet" );
}

void KScan::init()
{
}

void KScan::destroy()
{
}

#include "kscan.moc"
