#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kwlanmainsettings.ui'
**
** Created: Wed Oct 17 19:27:13 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kwlanmainsettings.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KwlanMainSettings as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KwlanMainSettings::KwlanMainSettings( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KwlanMainSettings" );
    setModal( TRUE );
    KwlanMainSettingsLayout = new QGridLayout( this, 1, 1, 11, 6, "KwlanMainSettingsLayout"); 

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    cbMinimized = new QCheckBox( this, "cbMinimized" );
    layout4->addWidget( cbMinimized );

    cbNewInterfaceWizard = new QCheckBox( this, "cbNewInterfaceWizard" );
    layout4->addWidget( cbNewInterfaceWizard );

    cbWpaWarning = new QCheckBox( this, "cbWpaWarning" );
    layout4->addWidget( cbWpaWarning );

    cbDialupUserWarning = new QCheckBox( this, "cbDialupUserWarning" );
    layout4->addWidget( cbDialupUserWarning );

    cbShowAvailableOnly = new QCheckBox( this, "cbShowAvailableOnly" );
    layout4->addWidget( cbShowAvailableOnly );

    cbShowCommands = new QCheckBox( this, "cbShowCommands" );
    layout4->addWidget( cbShowCommands );
    layout5->addLayout( layout4 );
    spacer2 = new QSpacerItem( 31, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout5->addItem( spacer2 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 
    spacer1 = new QSpacerItem( 140, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer1 );

    pbOk = new QPushButton( this, "pbOk" );
    layout3->addWidget( pbOk );

    pbCancel = new QPushButton( this, "pbCancel" );
    layout3->addWidget( pbCancel );
    layout5->addLayout( layout3 );

    KwlanMainSettingsLayout->addLayout( layout5, 0, 0 );
    languageChange();
    resize( QSize(367, 229).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pbOk, SIGNAL( clicked() ), this, SLOT( Ok() ) );
    connect( pbCancel, SIGNAL( clicked() ), this, SLOT( Cancel() ) );

    // tab order
    setTabOrder( cbMinimized, cbNewInterfaceWizard );
    setTabOrder( cbNewInterfaceWizard, cbWpaWarning );
    setTabOrder( cbWpaWarning, cbDialupUserWarning );
    setTabOrder( cbDialupUserWarning, cbShowAvailableOnly );
    setTabOrder( cbShowAvailableOnly, cbShowCommands );
    setTabOrder( cbShowCommands, pbOk );
    setTabOrder( pbOk, pbCancel );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KwlanMainSettings::~KwlanMainSettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KwlanMainSettings::languageChange()
{
    setCaption( tr2i18n( "Kwlan Settings" ) );
    cbMinimized->setText( tr2i18n( "Start &Minimized" ) );
    cbMinimized->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    cbNewInterfaceWizard->setText( tr2i18n( "Enable &New interface found wizard" ) );
    cbNewInterfaceWizard->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    cbWpaWarning->setText( tr2i18n( "Enable WP&A not started warning" ) );
    cbWpaWarning->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    cbDialupUserWarning->setText( tr2i18n( "Enable No dialup &user warning" ) );
    cbDialupUserWarning->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    cbShowAvailableOnly->setText( tr2i18n( "Show only available networks &in profile selection" ) );
    cbShowAvailableOnly->setAccel( QKeySequence( tr2i18n( "Alt+I" ) ) );
    cbShowCommands->setText( tr2i18n( "Show commands in &kdesu password requests" ) );
    cbShowCommands->setAccel( QKeySequence( tr2i18n( "Alt+K" ) ) );
    pbOk->setText( tr2i18n( "&Ok" ) );
    pbCancel->setText( tr2i18n( "&Cancel" ) );
}

void KwlanMainSettings::Ok()
{
    qWarning( "KwlanMainSettings::Ok(): Not implemented yet" );
}

void KwlanMainSettings::Cancel()
{
    qWarning( "KwlanMainSettings::Cancel(): Not implemented yet" );
}

#include "kwlanmainsettings.moc"
